#include "Camera.h"

Camera::Camera()
{
	_type = CAMERA;
}

void Camera::control()
{
	Uint8 *keystates = SDL_GetKeyState( NULL );
	Screen* s = Screen::instance();

	if(keystates[SDLK_UP])
		s->move(0,-10);
	else if(keystates[SDLK_DOWN])
		s->move(0,10);
	else if(keystates[SDLK_LEFT])
		s->move(-10,0);
	else if(keystates[SDLK_RIGHT])
		s->move(10,0);
}
